﻿using System;
using System.Drawing.Imaging;
using System.Net;
using System.Text;
using swivelsecure.client;

public partial class Image : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e) {
        // Get the ID of the image to retrieve.
        string sessionId = Request["sessionid"];
        string username = Request["username"];
        //string type = Request["type"];
        SwivelAuthClient client = new SwivelAuthClient();
        int statusCode;
        System.Drawing.Image img = client.GetImage(sessionId, username, out statusCode);
        if (statusCode != (int)HttpStatusCode.OK) {
            Response.StatusCode = statusCode;
        } else {
            Response.ContentType = "image/gif";
            StringBuilder disposition = new StringBuilder("inline; filename=turing.gif");
            Response.AddHeader("Content-Disposition", disposition.ToString());
            if (img != null) {
                img.Save(Response.OutputStream, ImageFormat.Gif);
            }
        }
    }
}