﻿using System;
using swivelsecure.client;

public partial class DeleteUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) {
            string username = Request["username"];
            if (String.IsNullOrEmpty(username)) {
                lblPrompt.Text = "No username specified";
                BtnDelete.Enabled = false;
                return;
            }
            txtUsername.Value = username;
            lblPrompt.Text = "This will delete user \"" + username + "\" permanently. Are you sure?";
        }
    }

    protected void BtnDeleteClick(object sender, EventArgs e) {
        SwivelAdminRequest req = new SwivelAdminRequest();
        SwivelUser user = new SwivelUser(req, txtUsername.Value);
        req.DeleteUser(user);
        if (req.Send()) {
            lblPrompt.Text = "User \"" + txtUsername.Value + "\" deleted.";
            BtnDelete.Enabled = false;
            return;
        }
        lblPrompt.Text = "Delete failed";
    }

    protected void BtnCancelClick(object sender, EventArgs e) {
        Response.Redirect("./ListUsers.aspx");
    }
}