﻿using System;
using swivelsecure.client;

public partial class Login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) {
            lblResult.Text = "";
        }
    }

    protected void BtnImageClick(object sender, EventArgs e) {
        string username = txtUsername.Text;
        if (String.IsNullOrEmpty(username)) {
            imgTuring.Visible = false;
        } else {
            imgTuring.ImageUrl = "./Image.aspx?username=" + username + "&random=" + new Random().Next(10000);
            imgTuring.Visible = true;
        }
        lblResult.Text = "";
    }

    protected void BtnLoginClick(object sender, EventArgs e) {
        SwivelAuthClient client = new SwivelAuthClient();
        string username = txtUsername.Text;
        string otc = txtOtc.Text;
        // Prevent an extra session start request
        imgTuring.ImageUrl = "";
        imgTuring.Visible = false;

        if (client.Login(username, "", otc)) {
            lblResult.Text = "Login successful for user \"" + username + "\"";
        } else {
            lblResult.Text = "Login failed for user \"" + username + "\"";
        }
    }
}